<div style="margin-bottom: 15px;">
<h2>
    <span>Master Barang PP</span>
    <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/master-bahan-new']">
        <span class="fa fa-plus"></span>
        <span class="hidden-sm-down"> Tambah Barang Baru </span>
    </button>
</h2>
<br>
<jhi-alert></jhi-alert>
<div>   
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="ui-g-4">
                            <label for="form-control-label">Kategori Barang</label>
                          </div>
                          <div class="ui-g-8">
                            <p-dropdown [options]="tp_bahan" [(ngModel)]="inputKategori" id="field_PIC" [style]="{'width':'100%'}">
                            </p-dropdown>
                          </div>
                        </div>
                      </div>
                    </div>
        
                    <div class="ui-g-12">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="ui-g-4">
                            <label for="form-control-label">Status Barang</label>
                          </div>
                          <div class="ui-g-8">
                            <p-dropdown [options]="status_bahan" [(ngModel)]="inputStatus" id="field_PIC"
                              [style]="{'width':'100%'}">
                            </p-dropdown>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="ui-g-12">
                      <div class="col-md-6">
                        <div class="form-group">
                          <button pButton type="button" label="Filter" icon="fa-filter"
                            class="ui-button-primary flat-label-button" (click)="filter()"></button>
                          <button pButton label="Reset Filter" icon="fa-refresh" class="ui-button-primary flat-label-button" (click)="reset()"></button>
                          <button pButton label="Export Excel" icon="fa-download" class="ui-button-primary flat-label-button" (click)="export()"></button>
                        </div>
                      </div>
                    </div>
                  </div>
            </p-accordionTab>
        </p-accordion>
</div>
<br />
<p-dataTable [value]="picRoles" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
    [rowsPerPageOptions]="[10, 15, 20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first"
    row="itemsPerPage" totalRecords="totalItems" dataKey="idMasBahan" expandableRows="false" rowHover="true"
    (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
    <p-header>

        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="Please Insert Product Name" />
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)"
                    *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                    *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
    </p-header>
    <p-column field="No" header="No" [style]="{ width: '70px', 'text-align': 'center' }">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{ rowIndex + 1 }}
        </ng-template>
    </p-column>
    <p-column header="Kode Barang">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.kdBahan }}
        </ng-template>
    </p-column>
    <p-column header="Nama Barang">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.nmBahan }}
        </ng-template>
    </p-column>
    <p-column header="Satuan">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.satuan }}
        </ng-template>
    </p-column>
    <p-column header="Stock">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.stok }}
        </ng-template>
    </p-column>
    <p-column header="Status">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.status }}
        </ng-template>
    </p-column>
    <p-column header="PIC Pembelian Barang">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{ rowData.pic }}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit" [routerLink]="[
          '../master-bahan-Edit/0/' + page + '/' + rowData.idMasBahan + '/edit'
        ]" icon="fa-pencil" class="flat-button"></button>
        </ng-template>
    </p-column>
    <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        </p-column> -->
    <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
<div style="margin-top: 10px"></div>
</div>
<p-confirmDialog></p-confirmDialog>